VirtualBox Main API

Public Attributes | List of all members
IMouseCapabilityChangedEvent Interface Reference

Notification when the mouse capabilities reported by the guest have changed. More...

Inheritance diagram for IMouseCapabilityChangedEvent:

## Public Attributes
readonly attribute boolean | supportsAbsolute
| Supports absolute coordinates. More...
readonly attribute boolean | supportsRelative
| Supports relative coordinates. More...
readonly attribute boolean | supportsMultiTouch
| Supports multi-touch events coordinates. More...
readonly attribute boolean | needsHostCursor
| If host cursor is needed. More...
Public Attributes inherited from IEvent
readonly attribute VBoxEventType | type
| Event type. More...
readonly attribute IEventSource | source
| Source of this event. More...
readonly attribute boolean | waitable
| If we can wait for this event being processed. More...

## Additional Inherited Members
Public Member Functions inherited from IEvent
void | setProcessed ()
| Internal method called by the system when all listeners of a particular event have called IEventSource::eventProcessed. More...
void | waitProcessed (in long timeout, [retval] out boolean result)
| Wait until time outs, or this event is processed. More...

## Detailed Description

Notification when the mouse capabilities reported by the guest have changed.

The new capabilities are passed.

Interface ID:
  `{70E7779A-E64A-4908-804E-371CAD23A756}`

## Member Data Documentation

## ◆ supportsAbsolute

readonly attribute boolean IMouseCapabilityChangedEvent::supportsAbsolute

Supports absolute coordinates.

## ◆ supportsRelative

readonly attribute boolean IMouseCapabilityChangedEvent::supportsRelative

Supports relative coordinates.

## ◆ supportsMultiTouch

readonly attribute boolean IMouseCapabilityChangedEvent::supportsMultiTouch

Supports multi-touch events coordinates.

## ◆ needsHostCursor

readonly attribute boolean IMouseCapabilityChangedEvent::needsHostCursor

If host cursor is needed.